gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Box ButtonBox is a container for laying out widgets.

A button box should be used to provide a consistent layout of buttons throughout your application. Specific button boxes are for horizontal groups of buttons, and for vertical button groups.

- Constructor
  2.12.0.0
  Default parameterless constructor.
  This is the default constructor for the class.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Method
  2.12.0.0
  System.Obsolete
  System.Void `` `` a , the horizontal value a , the vertical value Gets the internal padding of the child widgets.
- Method
  2.12.0.0
  System.Boolean `` a Returns whether should appear in a secondary group of children. a
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` `` a a Sets the minimum width and height of this button box's child widgets.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  Gtk.Container+ContainerChild `` To be added. To be added. To be added. To be added.
- Property
  2.12.0.0
  Gtk.ButtonBoxStyle Alter the way the buttons in this box are arranged. The style that the child widgets are currently arranged in. See for more information about the styles of button boxes.
- Property
  2.12.0.0
  GLib.Property("layout-style")
  Gtk.ButtonBoxStyle See
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` `` a , the horizontal value a , the vertical value Sets the internal padding of the child widgets.
- Method
  2.12.0.0
  System.Void `` `` a a : if , the appears in a secondary group of the button box. Sets whether should appear in a secondary group of children. A typical use of a secondary child is the help button in a dialog. This group appears after the other children if the style is , or , and before the the other children if the style is %GTK_BUTTONBOX_END. For horizontal button boxes, the definition of before/after depends on direction of the widget (see ). If the style is or , then the secondary children are aligned at the other end of the button box from the main children. For the other styles, they appear immediately next to the main children.
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` `` a a Sets the minimum width and height of this button box's child widgets.